NAPI_SCHEDULE_PREP(9)

NAME
napi_schedule_prep - check if napi can be scheduled

SYNOPSIS

bool napi_schedule_prep(struct napi_struct * n);

ARGUMENTS

n
    napi context

DESCRIPTION

Test if NAPI routine is already running, and if not mark it as running. This is used as a condition variable insure only one NAPI poll instance runs. We also make sure there is no pending NAPI disable.

COPYRIGHT